#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

void Print_Vector(const vector<int>& v){
  for(int i = 0; i < v.size(); i++)
    cout << v[i] << " ";
  cout << endl;
}

int GCD(int m, int n){
  int r = m%n;
  while(r != 0){
    m=n;
    n=r;
    r=m%n;
  }
  return n;
}

void Split(int number, vector<int>& number_vec){
  while(number > 0){
    number_vec.push_back(number%10);
    number = number/10;
  }
  reverse(number_vec.begin(), number_vec.end());
}

int Combine(const vector<int>& digits){
  int cur_val = 0;
  int cur_multiple = 1;
  for(int i = digits.size()-1; i >=0; i--){
    if(digits[i] != -1){
      cur_val = cur_val + digits[i] * cur_multiple;
      cur_multiple=cur_multiple*10;
    }
  }
  return cur_val;
}


bool Remove(const vector<int>& num_vec, const vector<int>& den_vec, int digit){
  vector<int> num_copy = num_vec;
  vector<int> den_copy = den_vec;
  int num_val = Combine(num_copy);
  int den_val = Combine(den_copy);
  int factor = GCD(num_val, den_val);
  num_val = num_val/factor;
  den_val = den_val/factor;
  for(int i = 0; i < num_vec.size(); i++)
    if(num_copy[i] == digit)
      for(int j = 0; j < den_copy.size(); j++){
	if(den_copy[j] == digit){
	  num_copy[i] = -1;
	  den_copy[j] = -1;
	  int new_num = Combine(num_copy);
	  int new_den = Combine(den_copy);
	  if(new_num > 0 && new_den > 0){
	    int factor = GCD(new_num, new_den);
	    new_num = new_num/factor;
	    new_den = new_den/factor;
	    if(new_num==num_val && new_den ==den_val)
	      return true;
	    num_copy[i] = digit;
	    den_copy[j] = digit;
	  }
	}
      }
  return false;
}
	
  

int main(){
  int n, d;
int case_number = 1;
  cin >> n >> d;
  
  while(n > 0){
  
 int cur_digit;

 
      if(n!=d){
	vector<int> numerator;
	vector<int> denominator;
	Split(n, numerator);
	Split(d, denominator);
	//  Print_Vector(numerator);
	// Print_Vector(denominator);
	
	cur_digit = 0;
	bool found = false;
	while(!found && cur_digit< 10){
	  found = Remove(numerator, denominator, cur_digit);
	  if(!found)
	    cur_digit++;
	}
	
	if(found)
	  cout << "Case " << case_number << ": "  << cur_digit << endl;
	else
	  cout << "Case " << case_number << ": Not possible" << endl;
	
	case_number++;
	cin >> n >> d;
      }
    }
  return 0;
}
      
