#include <vector>
#include <iostream>

using namespace std;
struct point{
  int my_r;
  int my_c;
};

bool Solve(const vector<point>& good_guys, const vector<point>& bad_guys,  vector<bool>& taken, int cur_person);

bool Check_Bad_Guy(const vector<point>& good_guys, const vector<point>& bad_guys, vector<bool>& taken, int cur_person, int cur_r, int cur_c){
  for(int i = 0; i < bad_guys.size(); i++){
    if(!taken[i] && bad_guys[i].my_r == cur_r && bad_guys[i].my_c == cur_c){
      taken[i] = true;
      if(Solve(good_guys, bad_guys, taken, cur_person+1))
	return true;
      taken[i] = false;
    }
  }
 return false;
}

// tries to match good guy "cur_person" to the end.  The "taken" vector
// holds matched bad guys
bool Solve(const vector<point>& good_guys, const vector<point>& bad_guys,  vector<bool>& taken, int cur_person){
  if(cur_person == good_guys.size())
    return true;
  int cur_r = good_guys[cur_person].my_r;
  int cur_c = good_guys[cur_person].my_c;
  // check all 4 directions
  if(Check_Bad_Guy(good_guys, bad_guys, taken, cur_person, cur_r+1, cur_c))
    return true;
  if(Check_Bad_Guy(good_guys, bad_guys, taken, cur_person, cur_r-1, cur_c))
    return true;
  if(Check_Bad_Guy(good_guys, bad_guys, taken, cur_person, cur_r, cur_c+1))
    return true;
  return Check_Bad_Guy(good_guys, bad_guys, taken, cur_person, cur_r, cur_c-1);
}


int main(){
  
  int cur_case = 1;
  int n;
  cin >> n;
  while(n > 0){
    vector<point> good_guys;
    vector<point> bad_guys;

    good_guys.resize(n);
    bad_guys.resize(n);
    for(int i = 0; i < n; i++){
      cin >> good_guys[i].my_r;
      cin >> good_guys[i].my_c;
    }
    for(int i = 0; i < n; i++){
      cin >> bad_guys[i].my_r;
      cin >> bad_guys[i].my_c;
    }
    vector<bool> taken(n,false);
    if(Solve(good_guys, bad_guys, taken, 0))
      cout << "Case " << cur_case << ": Possible" << endl;
    else
      cout << "Case " << cur_case << ": Not possible" << endl;
    cur_case++;
    cin >> n;
  }
  return 0;
}
