#include <iostream>
#include <string>
#include <vector>

using namespace std;
struct reign{
  int start;
  int end;
};


template <typename T>
int find(const vector<T>& names, T name){
  for(int i = 0; i < names.size(); i++)
    if(names[i] == name)
      return i;
  return -1;
}

void Print_Kingdoms(const vector<vector<int> >& kingdoms){
  for(int i = 0; i < kingdoms.size(); i++){
    cout << "Kingdom " << i << endl;
    for(int j = 0; j < kingdoms[i].size(); j++)
      cout << kingdoms[i][j] << " ";
    cout << endl;
  }
}

int allocate(const vector<vector<bool> >& adjacency){
  vector<vector<int> > kingdoms;
  for(int i = 0; i < adjacency.size(); i++){
    // for each king, see if he fits in each kingdom
    bool found = false;
    int j = 0;
    while(j < kingdoms.size() && !found){
      // can king i fit in kingdom j?
      bool ok = true;
      for(int k = 0; k < kingdoms[j].size(); k++){
	if(adjacency[i][kingdoms[j][k]])
	  ok = false;
      }
      found = ok;
      if(!found)
	j++;
    }     
    if(j < kingdoms.size())
      kingdoms[j].push_back(i);
    else{
      kingdoms.resize(kingdoms.size()+1);
      kingdoms[kingdoms.size()-1].push_back(i);
    }
  }
  //  Print_Kingdoms(kingdoms);
  return kingdoms.size();
}

void Swap(reign& r, reign& s){
  reign temp;
  temp.start = r.start;
  temp.end = r.end;
  r.start = s.start;
  r.end = s.end;
  s.start=temp.start;
  s.end = temp.end;
}

void Sort(vector<reign>& kings){
  for(int i = 0; i < kings.size(); i++)
    for(int j = 0; j < kings.size()-1; j++){
      if((kings[j].start > kings[j+1].start) ||
	 (kings[j].start == kings[j+1].start &&
	  kings[j].end > kings[j+1].end))
	Swap(kings[j], kings[j+1]);
    }
}

int main(){
  int n;
  cin >> n;
  int cur_case = 1;
  while(n > 0){
    // cout << "N = " << n << endl;

    vector<reign> kings(n);
    for(int i = 0; i < n; i++){
      cin >> kings[i].start;
      cin >> kings[i].end;
    }
    
    vector<vector<bool> > adjacency(n);
    for(int i = 0; i < n; i++){
      adjacency[i].resize(n, false);
    }
    
    Sort(kings);
    for(int i = 0; i < n; i++)
      for(int j = 0; j < n; j++){
	if((kings[i].start >= kings[j].start && kings[i].start <= kings[j].end) ||
	   (kings[j].start >= kings[i].start && kings[j].start <= kings[i].end)){
	  adjacency[i][j] = true;
	  adjacency[j][i] = true;
	}
      }


    int num_kingdoms = allocate(adjacency);
    cout << "Case " << cur_case << ": " << num_kingdoms << endl;
    cur_case++;
    cin >> n;
  }
  return 0;
}
